%global _python_bytecompile_extra 0

Summary: Analysis plugins for use with setroubleshoot
Name: setroubleshoot-plugins
Version: 3.3.14
Release: 6%{?dist}
License: GPL-2.0-or-later
URL: https://github.com/fedora-selinux/setroubleshoot
Source0: https://releases.pagure.org/setroubleshoot/%{name}-%{version}.tar.gz
Patch3000: 0001-restorecon.py-exclude-more-paths.patch

BuildRequires: make gcc
BuildRequires: perl-XML-Parser intltool gettext python3-devel
Requires: setroubleshoot-server >= 3.3.23

BuildArch: noarch

%description
This package provides analysis plugins for setroubleshoot. Each plugin has the ability to 
analyze and interpret SELinux AVC data and system data to provide user friendly reports.

%prep
%autosetup -p 1

%build
%configure PYTHON=%{__python3}
%make_build PYTHON=%{__python3}

%install 
rm -rf %{buildroot}
%make_install PYTHON=%{__python3} pkgdocdir=%{_pkgdocdir}
%py_byte_compile %{__python3} %{buildroot}%{_datadir}/setroubleshoot/plugins

%find_lang %{name}

%files -f %{name}.lang 
%doc %{_pkgdocdir}
%{_datadir}/setroubleshoot/plugins

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.14-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.14-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.14-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 Wang Guodong <gordonwwang@tencent.com> - 3.3.14-1
- package init.
